
Name:    kdepim-runtime
Summary: KDE PIM Runtime Environment
Version: 4.4.10
Release: 1%{?dist}

License: GPLv2
Group: Applications/Productivity
URL: http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/kdepim-%{version}/src/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# show the Akonadi KCM in System Settings (#565420)
Patch1: kdepim-runtime-4.4.0-show-akonadi-kcm-kde45.patch

# upstream patches

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

BuildRequires: akonadi-devel
%global akonadi_version %(pkg-config --modversion akonadi 2>/dev/null || echo %{akonadi_version_min})
BuildRequires: desktop-file-utils
BuildRequires: kdepimlibs-devel >= 4.5.0
BuildRequires: libxslt-devel libxml2-devel
BuildRequires: shared-desktop-ontologies
BuildRequires: soprano-devel
BuildRequires: zlib-devel


%description
%{summary}


%package libs
Summary: %{name} runtime libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: akonadi%{?_isa} >= %{akonadi_version}
%{?_kde4_version:Requires: kdepimlibs-akonadi%{?_isa} >= %{_kde4_version}}
%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdepimlibs-devel
%description devel
%{summary}.
Install %{name}-devel if you want to write or compile %{name} plugins.


%prep
%setup -q -n kdepim-runtime-%{version}

%patch1 -p1 -b .show-akonadi-kcm-kde45


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# make symlinks relative
mkdir -p %{buildroot}%{_docdir}/HTML/en/common
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
   desktop-file-validate $f
done

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
update-mime-database %{_kde4_datadir}/mime >& /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  update-mime-database %{_kde4_datadir}/mime &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/akonadi/agents/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/autostart/kaddressbookmigrator.desktop
%{_kde4_datadir}/config/*rc
%{_kde4_datadir}/dbus-1/interfaces/*.xml
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/mime/packages/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/*

%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*


%changelog
* Tue Feb 01 2011 Rex Dieter <rdieter@fedoraproject.org> 4.4.10-1
- 4.4.10

* Thu Dec 23 2010 Rex Dieter <rdieter@fedoraproject.org> 4.4.9-1
- 4.4.9

* Sat Dec 04 2010 Rex Dieter <rdieter@fedoraproject.org> 4.4.8-1
- update to 4.4.8

* Fri Oct 22 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.7-1
- update to 4.4.7

* Fri Sep 10 2010 Rex Dieter <rdieter@fedoraproject.org> 4.4.6-2
- s/%%version/%%_kde4_version/ for runtime deps 

* Fri Sep 10 2010 Thomas Janssen <thomasj@fedoraproject.org> 4.4.6-1
- update to 4.4.6

* Wed Sep 08 2010 Rex Dieter <rdieter@fedoraproject.org> 4.4.5-2
- Akonadi Configuration shows in systemsettings->lost and found (#628379)
- Requires: kdebase-runtime

* Tue Jun 29 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.5-1
- 4.4.5

* Sun May 30 2010 Than Ngo <than@redhat.com> - 4.4.4-1
- 4.4.4

* Tue May 04 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.4.3-1.1
- rebuild against correct tag

* Fri Apr 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 4.4.3-1
- 4.4.3

* Mon Mar 29 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.4.2-1
- 4.4.2

* Sat Feb 27 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.1-1
- 4.4.1

* Mon Feb 15 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.4.0-4
- show the Akonadi KCM in System Settings (#565420)

* Mon Feb 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.4.0-3
- Random akonadi_imap_resource crash (kde#220384)

* Tue Feb 09 2010 Rex Dieter <rdieter@fedoraproject.or> - 4.4.0-2
- libs: Requires: kdepimlibs-akonadi (instead of akonadi)

* Fri Feb 05 2010 Than Ngo <than@redhat.com> - 4.4.0-1
- 4.4.0

* Sun Jan 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.98-1
- KDE 4.3.98 (4.4rc3)

* Wed Jan 20 2010 Lukas Tinkl <ltinkl@redhat.com> - 4.3.95-1
- KDE 4.3.95 (4.4rc2)

* Wed Jan 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.3.90-1
- kde-4.3.90 (4.4rc1)

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.85-1
- kde-4.3.85 (4.4beta2)

* Fri Dec 11 2009 Rex Dieter <rdieter@fedoraproject.org> 4.3.80-4
- BR: shared-desktop-ontologies
- tighten some deps

* Tue Dec 08 2009 Than Ngo <than@redhat.com> - 4.3.80-3
- drop BR kdelibs-experimental-devel

* Fri Dec 04 2009 Than Ngo <than@redhat.com> - 4.3.80-2
- respin

* Tue Dec  1 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.3.80-1
- KDE 4.4 beta1 (4.3.80)

* Mon Nov 23 2009 Ben Boeckel <MathStuf@gmail.com> - 4.3.75-0.1.svn1048496
- Update to 4.3.75 snapshot

* Sat Oct 31 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3

* Mon Oct 05 2009 Than Ngo <than@redhat.com> - 4.3.2-1
- 4.3.2

* Fri Aug 28 2009 Than Ngo <than@redhat.com> - 4.3.1-1
- 4.3.1

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 4.3.0-1
- 4.3.0

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Sat Jul 11 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Thu Jul 02 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.95-3
- -devel: Requires: kdepimlibs-devel
- Req: akonadi >= 1.1.95

* Mon Jun 29 2009 Than Ngo <than@redhat.com> - 4.2.95-2
- cleanup

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- first try
